Package org.eclipse.jgit.ignore.internal

## Class AbstractMatcher

- java.lang.Object
- - org.eclipse.jgit.ignore.internal.AbstractMatcher

All Implemented Interfaces:
  `IMatcher`

Direct Known Subclasses:
  `NameMatcher`, `PathMatcher`, `WildMatcher`

    public abstract class AbstractMatcher
    extends Object
    implements IMatcher

Base class for default methods as `toString()` and such.

This class is immutable and thread safe.

Since:
  3.6

### Field Summary

### Fields inherited from interface org.eclipse.jgit.ignore.internal.IMatcher

`NO_MATCH`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jgit.ignore.internal.IMatcher

`matches, matches`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`